#include <PSX/System/IOPorts/dma_io.hpp>

namespace JabyEngine {
    namespace boot {
        namespace DMA {
            void setup() {
                static constexpr auto EnableDMA = DMA_IO::DPCR::from(DMA_IO::DPCR::SPU.turn_on(3), DMA_IO::DPCR::GPU.turn_on(3), DMA_IO::DPCR::CDROM.turn_on(3));
                
                DMA_IO::DPCR.write(EnableDMA);
            }
        }
    }
}